Developers of GIMP,

I realize that the GIMP is written by programmers and not photographers or
artists.  I can no longer see financially supporting the GIMP beyond 2.6 due to
the poor decisions made in 2.8. I much prefer to use GIMP over PS and other
commercial software I have at my disposal.

It is with a heavy heart I tell the GIMP community.  Unless the developers
correct obvious issues made by "so-called" improvements, in the next release, I
see no future for GIMP at all.  I know there are few of you who will read this
and say, who cares?  I do. That is why I will continue to use 2.6.7 for as long
as I can.

But the developers of GIMP will have to do it without my funding until they get
back on the right track. Until then, I will be waiting.



M_Leverette (via
gimp-user-list mailing list
List address:
List membership:

Reply via email to